demonSpawn = 0;
Diff = GetDifficulty();

function Start()
	if demonSpawn == 0 then
		playAnimation(GetAttackerHero(), "buff", ONESHOT);
		sleep(15);
		combatSetPause(1);
		SummonCreature(ATTACKER, 24, 26*Diff, 3, 1);
		sleep(10);
		SummonCreature(ATTACKER, 134, 25*Diff, 3, 14);
		sleep(10);
		SummonCreature(ATTACKER, 28, 7*Diff, 3, 5);
		sleep(10);
		SummonCreature(ATTACKER, 137, 6*Diff, 3, 10);
		sleep(10);
		combatSetPause(nil);
		demonSpawn = 1;
	end;
end;